From bb18897cffe688f61c731bea305065219734ef97 Mon Sep 17 00:00:00 2001
From: Osamu Aoki <osamu@debian.org>
Date: Sun, 30 Jul 2017 13:55:26 +0900
Subject: [PATCH 3/3] Adjustable submission port

---
 .../transport/30_exim4-config_remote_smtp_submission       |  5 ++++-
 debian/passwd.client                                       | 14 +++++++++++---
 2 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_submission b/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_submission
index f019e17..c5e8f9c 100644
--- a/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_submission
+++ b/debian/debconf/conf.d/transport/30_exim4-config_remote_smtp_submission
@@ -2,10 +2,13 @@
 ### transport/30_exim4-config_remote_smtp_submission
 #################################
 
+# default submission port is 587
+SUBMISSIONPORT = ${listextract{4}{${lookup{${address:$h_from:}}lsearch{CONFDIR/passwd.client}{$value}fail}}{$value}{587}}
+
 remote_smtp_submission:
   debug_print = "T: remote_smtp_submission for $local_part@$domain"
   driver = smtp
-  port = 587
+  port = SUBMISSIONPORT
   hosts_require_auth = *
   hosts_require_tls = *
   headers_remove = Received
diff --git a/debian/passwd.client b/debian/passwd.client
index 1157975..2208d53 100644
--- a/debian/passwd.client
+++ b/debian/passwd.client
@@ -4,14 +4,22 @@
 # see exim4_passwd_client(5) for more documentation
 #
 # Example:
-# Use message submission port 578 for each "From:" email account
-#      (4 data list, Good for services like gmail)
+########################################################################################
+# Use message submission port (default 587) for each "From:" email account
+#      (4 or 5 data list, Good for services like gmail)
 ### target@mail.server.example:login:password:submission.host.example
+# or to use an alternative submission port
+### target@mail.server.example:login:password:submission.host.example:submission-port
+#
 ### foo.bar@gmail.com:foo.bar@gmail.com:<application_password>:smtp.gmail.com
+# or to use port 25
+### foo.bar@gmail.com:foo.bar@gmail.com:<application_password>:smtp.gmail.com:25
 #
-# Use a smarthost for all "From:" email accounts (wildcard accepted)
+########################################################################################
+# Use one smarthost for all "From:" email accounts (wildcard accepted)(old style)
 #      (3 data list, Good for most connection ISP provided SMTP servers.)
 #      (Need to specify submission port as ::587 if not port 25)
+#      If null string is set as smarthost, this is not active.
 ### target.mail.server.example:login:password
 ###*.so-net.ne.jp:my.name@tc4.so-net.ne.jp::587:secret
 
-- 
2.11.0

